Skip to content

Configuration

Identity Providers

By default, unsecured Identity Providers are not allowed. The SDK will refuse to fetch data on these endpoints. A claim that has an uri which is not an HTTPS endpoint won't be retrieved.

Allow unsecured endpoints with:

const IdentitySDK = require('@investorid/identity-sdk');
IdentitySDK.config({ allowUnsecuredProviders: true });